Subject: Re: first draft of jurassaic UNIX license (fwd)

From: Dion <[email-masked]>
Date: Fri, 19 Sep 97 13:58:15 PDT

Steve - this mail addresses your questions and comments.

Warren, I will address your mail separately.  Some of your
concerns are answered here.

See comments and questions interpolated below.

   From sco.sco.com!moe.2bsd.com!sms Wed Sep 17 20:50:54 1997
   Date: Wed, 17 Sep 1997 20:16:52 -0700 (PDT)
   From: "Steven M. Schultz" <[email-masked]>
   To: [email-masked]
   Subject: Re: first draft of jurassaic UNIX license (fwd)
   Cc: [email-masked]
   Status: RO
   
   Greetings -
   
   	I do not believe I have previously thanked you for the time and
   	effort you have spent in this cause.  Thank you very much.

It is God's work. :-)  I enjoy it. 
   
   	(I agree with Warren - your signature block is nifty!)
   
   	As you mentioned there are a couple "problems".  Warren has addressed
   	the "Single Country" aspect.  My concern and questions deal with, for
   	the most part, the "DESIGNATED CPU" concept.
   
   	Is it SCO's intent to license "the person" or "the specific system"?
   
   	2.1(a) starts off sounding like a "per person" license:
   
   > 2.1 (a) SCO grants to LICENSEE a personal, nontransferable and
   > nonexclusive right to use, in the AUTHORIZED COUNTRY, each SOURCE
   > CODE PRODUCT identified in Section 3 of this Agreement, solely
   > for personal use (as restricted in Section 2.1(b)) and solely on
   
   	So far so good.  Personally I find the idea of a "personal license"
   	more attractive and easier to deal with (for both sides) than a 
   	"per cpu/system" one.
   
   	But then the paragraph continues on:
   
   > or in conjunction with one (1) DESIGNATED CPU for such SOURCE
   > CODE PRODUCT.  Such right to use includes the right to modify
    
   	Hmmm, the "DESIGNATED CPU" would indicate that the "system" rather than
   	the hobbyist is being licensed.
   
   	2.1(b) goes back to the "Personal use" theme:
   
   > (b) Personal use is limited to noncommercial uses.  Any such use
   > made in connection with the development of enhancements or
   
   	There are numerous other cases that seem to alternate between
   	"personal" and "system".

Yes, I am trying to clarify the license is to a person.

Btw, can you guys help me wrt "personal use"?  
Do you need to be able to use this software in teaching courses
in Comp Sci?  I would think YES.  I'd like the field of use to
include letting the binaries run on machines used by students,
faculty, etc.  Isnt this desirable?  or not necessary?

Is the usage desired really just hobbyist and truly personal?
   
   	The beneficiaries of an inexpensive source license for "old" UNIX
   	are the hobbyists (Dion - if you do get a PDP-11/73 and need some
   	help setting it up let me know).  It is not uncommon for a 'collector'
   	to have two or more machines that have been "rescued" from the landfill
   	(or whatever). 
   
   	Would it be possible to change the language to be more along the 
   	lines (and I'm not a lawyer as you can probably tell;-)) of 
   	"systems belonging to the licensed individual"?  I can see where
   	SCO would not appreciate my taking my license over to a friend's house
   	and installing a system.  But I do have two systems in my house, an
   	11/73 and an 11/93 (I'd get a 11/44 but it'd eat me alive on
   	electricity).

Yes, I am fixing the language to recognize a DESIGNATED CPU GROUP which
is a set of computers at a single geographical site (house, building,
laboratory, or campus).
   
   > 2.2 (a) Any notice acknowledging a contribution of a third party
   > appearing in a SOURCE CODE PRODUCT shall be included in
   > corresponding portions of DERIVED BINARY PRODUCTS made by
   > LICENSEE...
   
   > (b) Each portion of a DERIVED BINARY PRODUCT shall include an
   > appropriate copyright notice.  Such copyright notice may be the
   
   	Could SCO provide an example paragraph that should be included in
   	the labels on any media, etc?  "Some or all contents are licensed
   	by SCO ..." I would guess.

Yeh we can cobble something up.
   
   > 2.4 A single back-up CPU may be used as a substitute for the
   > DESIGNATED CPU without notice to SCO during any time when such
   > DESIGNATED CPU is inoperative because it is malfunctioning or
   > undergoing repair, maintenance or other modification.
   
   	Personally I'd like to see that paragraph rewritten - something like
   	"systems in the licensed individual's domicile, or in the license'd
   	person's possession".  Something like that.

This paragraph 2.4 should be deleted.
   
   > 7.  TERM
   > 
   > 7.1 This Agreement shall become effective on and as of the date
   > of acceptance by SCO.  The initial term of this Agreement shall
   > be for one (1) year.  Thereafter, the Agreement will
   > automatically renew for successive one (1) year terms unless
   
   	Oh, annual renewal?  That's going to cut into the money's generated
   	by the (very modest) license fee, isn't it?

No way.  The $100 should be a one-time fee.
   
   	Does this mean if I relocate or move I would need to notify SCO?

Yes, I think this is reasonable  for us to ask.
   
   > 8.5 (a) On SCO's request, but not more frequently than annually,
   > LICENSEE shall furnish to SCO a statement, listing the location,
   > type and serial number of the DESIGNATED CPU hereunder and
   
   	Ouch - here we run into a real problem.  There is no concept of
   	a "serial number" in many cases.  I put (in one case paid someone
   	else to) the system together out of parts - a BA23 box from here,
   	a M8192 (that's the 11/73 CPU module) from elsewhere, a DEQNA from
   	a used equipment place, and so on.
   
   	The larger systems (11/70, perhaps the 11/44) had "serial numbers"
   	but the smaller (more likely to be found in homes) systems are
   	almost "PC" like in using 'commodity parts'.
   
   	On the other hand if the lawyers can find a way to license the
   	individual rather than the machine paragraph 8.5 disappears.

I am asking the designated computers to be a set of computers 
at a single geographic site.
   
   > (b) SCO shall have the right, upon reasonable notice to LICENSEE
   > and through SCO's accredited auditing representative, to make an
   > on-site inspection during normal business hours, not more
   
   	Let me know when you're dropping in - I make a wicked batch of
   	chili if I have a day or so's notice <grin>

That is most kind.   Where are you located, anyway?  Maybe I will
look it up at four11.com.
I guess chili that takes 2 days to prepare must be pretty special.
You got to go out and hunt the racoons, deer, and other natural
ingredients?

Dion L. Johnson II  - The Santa Cruz Operation, Inc.              [email-masked]
Czar of Free Stuff and Technical customers' advocate.
400 Encinal St.  Santa Cruz, CA 95061    FAX: 408-427-5417  Voice: 408-427-7565

---

From: Warren Toomey <wkt>
Date: Sat, 20 Sep 1997 20:08:13 +1000 (EST)

Dion, a quick reply to your email. If SCO will address the single country
and signle CPU restrictions, then I can't think of much else that needs to
be done. You also mentioned adding something to the effect that the license
covers everything before System III; that would be fantastic.

I think I'd be very happy if the license just covered personal use and
not academic use. I can't see many lecturers teaching with these systems;
not when Plan 9 and Minix are available. If you want to add in clauses that
permit use of the source in a teaching environment, that would be a bonus.
Otherwise, universities which do require `academic' licenses will need to
ask SCO for a special dispensation - I doubt you will get many.

> Is the usage desired really just hobbyist and truly personal?

Essentially yes, but if you can swing academic source use with the
lawyers, we wouldn't say no :-)

> Dion L. Johnson II  - The Santa Cruz Operation, Inc.              [email-masked]

Well, I'm in Canberra Australia, a long way to come, but I make a reasonable
curry. When I get a chance to visit the US, definitely expect me to drop
in on both of you. Dion, I owe you a case of beer or a meal in a decent
restaurant, whichever you prefer!
 
Thanks again,
 
        Warren